// 
// Copyright 2016 Agencia Estatal de Administración Tibutaria
//
// Licencia con arreglo a la EUPL, Versión 1.1 o -en cuanto
// sean aprobadas por la Comisión Europea- versiones
// posteriores de la EUPL (la «Licencia»);
// Solo podrá usarse esta obra si se respeta la Licencia.
// Puede obtenerse una copia de la Licencia en:
//  
// https://joinup.ec.europa.eu/software/page/eupl
//  
// Salvo cuando lo exija la legislación aplicable o se acuerde
// por escrito, el programa distribuido con arreglo a la
// Licencia se distribuye «TAL CUAL», SIN GARANTÍAS NI CONDICIONES
// DE NINGÚN TIPO, ni expresasni implícitas.
//
// Véase la Licencia en el idioma concreto que rige los permisos y 
// limitaciones que establece la Licencia.
// 

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace operador
{
    public partial class FormMensaje : Form
    {
        private string _mensaje = "";

        public string mensaje {
            get { return _mensaje; }
        }

        public COD_ENVIADO destino {
            get {
                if (rbEnviarAdministrador.Checked) {
                    return COD_ENVIADO.MENSAJE_AL_ADMINISTRADOR;
                }
                return COD_ENVIADO.MENSAJE_AL_GESTOR;
            }
        }

        public FormMensaje() {
            InitializeComponent();
        }

        void enviar() {
            string texto = memo.Text;
            if (texto.Trim().Length == 0) {
                MessageBox.Show("Mensaje sin texto.\nNo se enviará.");
                DialogResult = DialogResult.Cancel;
            } else {
                _mensaje = texto.Replace("\n", "#");
                _mensaje = _mensaje.Replace("\r", "");

                DialogResult = DialogResult.OK;
            }
        }
        private void btEnviar_Click(object sender, EventArgs e) {
            enviar();
        }

        private void btCancelar_Click(object sender, EventArgs e) {
            DialogResult = DialogResult.Cancel;
        }
    }
}